import spacy

class ActorRecognition:

    def __init__(self, text, dir_ner_model):
        self.text = text
        self.dir_ner_model = dir_ner_model

    def getActors(self):
        #print(self.text)
        #text = self.text.replace(',', ' ,')
        text = self.text.replace('-', '')
        #text = " ".join(text.split())
        nlp1 = spacy.load(self.dir_ner_model) #load the best model
        doc=nlp1(text)
        #print([(ent.text, ent.label_) for ent in doc.ents if ent.label_=='ORG-A'])
        """ doc = nlp1("Finalmente, el ministro Zea Navarro agregó que con la estrategia de 'Diplomacia Sanitaria', junto a MinComercio, ProColombia, el ICA y otras entidades, se van a continuar expandiendo y conquistando mercados para el aguacate hass y otros productos del agro colombiano.") # input sample text """
        actores_list = [ent.text for ent in doc.ents if ent.label_=='ORG-A']
        #print('Listado de actores: ')
        #print(actores_list)
        #actores_text = ', '.join([str(item) for item in actores_list])
        return actores_list