import sqlalchemy
from app.models import Actor, SinonimoActor
from sqlalchemy import create_engine

class ActorRelations:



    def __init__(self): 
        engine = create_engine('mysql://graph-rs:graph-rs@172.16.14.94/graph-rs')
        sql =""" SELECT a.nombre, a.nombre
                FROM actor a
                UNION distinct
                SELECT sa.nombre, a.nombre
                FROM actor a, sinonimo_actor sa
                WHERE a.id = sa.actor_id
                AND a.nombre != sa.nombre"""
        with engine.connect() as con:
            rs = con.execute(sql).all()
            #print('-------------------')
            dictionary = {}
            self.Convert(rs, dictionary)
            #print (self.Convert(rs, dictionary))

        self.list_actor_sinonimo = dictionary

    def Convert(self, tup, di):
        for a, b in tup:
            di.setdefault(a.upper(), b)
        return di

    def replaceNamesRelations(self, entityRelations):
        relations=[]
        for tup in entityRelations:
            #print(tup)
            relations.append((self.list_actor_sinonimo.get(tup[0].upper()), self.list_actor_sinonimo.get(tup[1].upper())))
        return relations

