class ExtracRelations:

    def __init__(self, document, entityList):
        self.document = document
        self.entities = entityList
    
    def getRelationships(self, num_words=14):
        relations=[]
        decode = dict()
        for i,x in enumerate(self.entities):
            # Get mapping
            decode['$${}$$'.format(i)] = x
            # Preprocess text
            self.document = self.document.replace(x,' $${}$$ '.format(i))
        # Split chapter into words
        ws = self.document.split()
        l = len(ws)
        # Iterate through words
        for wi,w in enumerate(ws):
            # Skip if the word is not a person
            if not w[:2] == '$$':
                continue
            # Check next x words for any involved person
            x = num_words
            for i in range(wi+1,wi+x):
                # Avoid list index error
                if i >= l:
                    break
                # Skip if the word is not a person
                if not ws[i][:2] == '$$':
                    continue
                # # Store to Neo4j
                # params = {'name1':decode[ws[wi]],'name2':decode[ws[i]]}
                # session.run(save_query, params)
                #print(decode[ws[wi]],decode[ws[i]])
                relations.append((decode[ws[wi]], decode[ws[i]]))

        #for tup in relations:
        #    print(tup[0], "-", tup[1])

        #print(relations)

        return relations
